> For AI agents: [llms.txt](https://docs.trustedauth.com/llms.txt) provides a Markdown index of this documentation.

# Get a list of Face Biometric for a given user

`GET /api/web/v1/users/{userid}/faces`

Get a list of Face Biometrics authenticators for the specified user UUID. Requires the FACE:VIEW permission.

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| userid | path | Yes | string | The UUID of the user to get the Face Biometrics for. |

## Responses

### 200

Successful

#### application/json

Schema

```json
{
  "type": "array",
  "items": {
    "type": "object",
    "properties": {
      "applicantId": {
        "type": "string",
        "description": "The ID of the applicant in Onfido."
      },
      "created": {
        "type": "string",
        "description": "Date the authenticator was created.",
        "format": "date-time",
        "example": "2019-02-19T13:15:27Z"
      },
      "expiry": {
        "type": "string",
        "description": "Date the authenticator will expire.",
        "format": "date-time",
        "example": "2019-02-19T13:15:27Z"
      },
      "id": {
        "type": "string",
        "description": "The ID of the Face Biometric."
      },
      "lastUsed": {
        "type": "string",
        "description": "Date the authenticator was last used.",
        "format": "date-time",
        "example": "2019-02-19T13:15:27Z"
      },
      "mobile": {
        "type": "boolean",
        "description": "If the authenticator was registered on mobile."
      },
      "platform": {
        "type": "string",
        "description": "The mobile device platform on which a Face Biometric was registered."
      },
      "serialNumber": {
        "type": "string",
        "description": "The serial number of the Face Biometric."
      },
      "status": {
        "type": "string",
        "description": "The status of the authenticator.",
        "enum": [
          "ACTIVATING",
          "ACTIVE",
          "FAILED",
          "EXPIRED",
          "REVIEW",
          "DISABLED",
          "NEW"
        ]
      }
    },
    "description": "Face Biometric information stored for a user.",
    "title": "FaceAuthenticator"
  }
}
```

### 400

Bad Request

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 401

Access denied

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 403

Forbidden

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 404

Not Found

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 409

Conflict

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

## Security

Requirements

```json
[
  {
    "AdminAPIAuthentication": [
      "FACE:VIEW"
    ]
  }
]
```
